STRUCT TEMPLA(3)

NAME
boost::units::base_unit_info - traits template for unit names.

SYNOPSIS

// In header: <boost/units/io.hpp>
template<typename BaseUnit>
struct base_unit_info {
  // public static functions
  static std::string name();
  static std::string symbol();
};

DESCRIPTION

  base_unit_info public static functions

    1.

    static std::string name();
    The full name of the unit (returns BaseUnit::name() by default) .RE

        2.

        static std::string symbol();

        The symbol for the base unit (Returns BaseUnit::symbol() by default)

        Returns:
            BaseUnit::symbol(), for example "m"